Menu

Some Firefox 52 Users on Linux Left Without Sound

March 19, 2017 - Linux

Many Firefox users on Linux were left without the ability to play sound in their browser after updating to Firefox 52, released last week.

The issue at the heart of this problem is that Mozilla dropped support for ALSA (Advanced Linux Sound Architecture) and is now requiring Linux users to have installed the PulseAudio library to support audio playback inside Firefox.

ALSA is a software framework included in the Linux kernel that provides an API for sound card drivers. On the other hand, PulseAudio is a more modern sound server that's already supported on most Linux distros, but also on FreeBSD, OpenBSD, and even macOS.

Users on small/old Linux distros affected

Most modern Linux distros come with PulseAudio installed by default, but some minimalistic distros still rely on the built-in ALSA framework.

Users on these distros were left with no sound in Firefox 52, which now requires AudioPulse as a minimum requirement. Users on mainstream distros, but which use older OS versions, are also affected.

In the past ten days, since Firefox 52's release, countless of Linux users have been complaining about the lack of sound in Firefox [1, 2, 3, 4, 5, 6].

Mozilla didn't warn Firefox users about this change

While Mozilla engineers talked about imposing AudioPulse as a minimum requirement for Firefox, this conversation took place on an obscure Google Groups topic back in July 2016.

Firefox 52 Linux users weren't told about this change and had no forewarning. The Firefox 52 release notes didn't mention anything about ALSA or PulseAudio.

Linux users begged Mozilla engineers to continue to support ASLA-only distros, but many were stern in their decision. "That isn't going to happen. Sorry," said one developer named Anthony Jones.

Adam Hunt, a Linux community contributor, has criticized Mozilla for the way it treated Linux users.

Overall this is a fairly minor technical issue that is not that hard to fix, but Mozilla has handled it very poorly and lost the confidence of a portion of its Linux user community over this. They could have communicated this impending change to the users in advance, as well as reached out to main distros that would be affected and let the developers there know. Then they could have also at least put it in the release notes for Firefox 52. These small steps could have mitigated much of the bewilderment and anger expressed and much of the loss of market share Mozilla will probably see, as a result

Following the backlash, Mozilla has now set up a support page detailing the issue and is prompting ALSA-only Linux users via a popup that reads "To play audio, you may need to install the required PulseAudio software."

Downgrade Firefox or switch to another browser

Users on affected Linux distros that don't want to install AudioPulse can revert back to older versions, use Firefox 52 ESR, or use another browser altogether.

As a heads up, Firefox 53, scheduled for release next month, will drop support on Linux editions for processors older than Pentium 4 and AMD Opteron.

Please follow and like us: